classification
Title: mention PKG-INFO in the documentation
Type: enhancement Stage: resolved
Components: Distutils, Documentation Versions:
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chris.jerdonek, eric.araujo, ezio.melotti, georg.brandl, tarek
Priority: normal Keywords:

Created on 2012-11-04 10:19 by chris.jerdonek, last changed 2020-10-22 21:16 by eric.araujo. This issue is now closed.

Messages (4)
msg174773 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-04 10:19
Currently, the documentation makes no mention of the PKG-INFO file.

It would be useful if the documentation mentioned what this file is and how it is created (e.g. via the sdist command), and also linked to PEP 314.  This can be covered somewhere in the distutils documentation:

http://docs.python.org/3.4/distutils/index.html

Index entries should also be created as appropriate.
msg174775 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-04 10:25
PEP 345 can also be linked to (Metadata version 1.2).
msg182851 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-24 03:40
FYI, the fix for issue 16403 adds I believe the first mention of PKG-INFO to the docs (as an aside when discussing the maintainer field).  However, a description of PKG-INFO, etc. should still be added somewhere.
msg379349 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2020-10-22 21:16
It is documented here: https://packaging.python.org/guides/using-manifest-in/#how-files-are-included-in-an-sdist

Packaging doc has moved from versioned Python docs to this unique external guide, so I’m closing this.
History
Date User Action Args
2020-10-22 21:16:23eric.araujosetstatus: open -> closed
versions: - Python 2.7, Python 3.2, Python 3.3, Python 3.4
messages: + msg379349

resolution: works for me
stage: resolved
2013-02-24 03:40:21chris.jerdoneksetmessages: + msg182851
2012-11-04 10:25:45chris.jerdoneksetmessages: + msg174775
2012-11-04 10:19:41chris.jerdonekcreate